<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
        <record model="ir.ui.view" id="helpdesk_ticket_form_view_inherited">
            <field name="name">helpdesk.ticket.form.view.inherited</field>
            <field name="model">helpdesk.ticket</field>
            <field name="inherit_id" ref="helpdesk.helpdesk_ticket_view_form"/>
            <field name="arch" type="xml">
                <header>
                    <button
                        name="open_create_call_wizard"
                        id="open_create_call_wizard"
                        type="object"
                        string="Call"
                        icon="fa-phone"
                        class="text-start text-nowrap text-capitalize"
                        attrs="{'invisible': [('ziwo_show_c2c_d2c', '!=', True)]}"
                    />
                </header>
                <xpath expr="//label[@for='partner_phone']" position="attributes">
                    <attribute name="invisible">1</attribute>
                </xpath>
                <xpath expr="//div[@class='o_row o_row_readonly'][field/@name='partner_phone']" position="attributes">
                    <attribute name="invisible">1</attribute>
                </xpath>
                <xpath expr="//field[@name='email_cc']" position="before">
                    <field name="ziwo_show_c2c_d2c" invisible="1"/>
                    <label for="partner_phone"/>
                    <div class="o_row">
                        <field name="partner_phone" string="Phone"/>
                        <button
                            name="create_new_call_phone"
                            id="create_new_call_phone"
                            type="object"
                            string="Call"
                            icon="fa-phone"
                            class="pull_right inline"
                            attrs="{'invisible': ['|', ('partner_phone', '=', False), ('ziwo_show_c2c_d2c', '!=', True)]}"
                        />
                    </div>
                    <label for="partner_mobile"/>
                    <div class="o_row">
                        <field name="partner_mobile"/>
                        <button
                            name="create_new_call"
                            id="create_new_call"
                            type="object"
                            string="Call"
                            icon="fa-phone"
                            class="pull_right inline"
                            attrs="{'invisible': ['|', ('partner_mobile', '=', False), ('ziwo_show_c2c_d2c', '!=', True)]}"
                        />
                    </div>
                </xpath>
            </field>
        </record>

        <record id="action_ticket_mail_compose" model="ir.actions.act_window">
            <field name="name">Send email</field>
            <field name="res_model">mail.compose.message</field>
            <field name="view_mode">form</field>
            <field name="target">new</field>
            <field name="context" eval="{
                'default_composition_mode': 'comment',
                'default_use_template': False,
            }"/>
            <field name="binding_model_id" ref="model_helpdesk_ticket"/>
            <field name="binding_view_types">form</field>
        </record>

    </data>
</odoo>